Package org.eclipse.birt.report.engine.api

# Class EngineConstants

java.lang.Object
org.eclipse.birt.report.engine.api.EngineConstants

public class EngineConstants extends Object
Defines various constants that engine host may need to use

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`APPCONTEXT_BIRT_VIEWER_HTTPSERVET_REQUEST`
`static final String`
`APPCONTEXT_CHART_PRINT_RESOLUTION`
Deprecated.
use APPCONTEXT_CHART_RESOLUTION instead of APPCONTEXT_CHART_PRINT_RESOLUTION
`static final String`
`APPCONTEXT_CHART_RESOLUTION`
`static final String`
`APPCONTEXT_CLASSLOADER_KEY`
`static final String`
`APPCONTEXT_DATASET_CACHE_OPTION`
`static final String`
`APPCONTEXT_ENGINE_TASK`
The Engine task owning the application context
`static final String`
`APPCONTEXT_HTML_RENDER_CONTEXT`
`static final String`
`APPCONTEXT_MAX_PAGE_BREAK_INTERVAL`
the max page break interval limit.
`static final String`
`APPCONTEXT_PDF_RENDER_CONTEXT`
`static final String`
`APPCONTEXT_URL_PARAM_FORMAT_KEY`
The name of the key set in appContext to specify the "__format" value in user's request parameter.
`static final String`
`PROJECT_CLASSPATH_KEY`
`static final String`
`PROPERTY_EXTENDED_ITEM_MAX_ROW`
This property is a key for putting max row number of extended item in app context or global variables.
`static final String`
`PROPERTY_EXTENDED_ITEM_MAX_VARIABLE_SIZE`
This property is a key for putting max variable size of extended item in app context or global variables.
`static final String`
`PROPERTY_FISCAL_YEAR_START_DATE`
This property is a key for putting the start date of fiscal year in app context or global variables.
`static final String`
`PROPERTYSEPARATOR`
`static final String`
`REFRESH_DATA`
this option is used to control refreshing data.
`static final String`
`USER_ACL_KEY`
`static final String`
`WEBAPP_CLASSPATH_KEY`
`static final String`
`WORKSPACE_CLASSPATH_KEY`

## Constructor Summary

Constructors
Constructor
Description
`EngineConstants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### APPCONTEXT_HTML_RENDER_CONTEXT

public static final String APPCONTEXT_HTML_RENDER_CONTEXT

See Also:
  - Constant Field Values

### APPCONTEXT_PDF_RENDER_CONTEXT

public static final String APPCONTEXT_PDF_RENDER_CONTEXT

See Also:
  - Constant Field Values

### APPCONTEXT_DATASET_CACHE_OPTION

public static final String APPCONTEXT_DATASET_CACHE_OPTION

See Also:
  - Constant Field Values

### APPCONTEXT_BIRT_VIEWER_HTTPSERVET_REQUEST

public static final String APPCONTEXT_BIRT_VIEWER_HTTPSERVET_REQUEST

See Also:
  - Constant Field Values

### APPCONTEXT_CLASSLOADER_KEY

public static final String APPCONTEXT_CLASSLOADER_KEY

See Also:
  - Constant Field Values

### APPCONTEXT_CHART_RESOLUTION

public static final String APPCONTEXT_CHART_RESOLUTION

See Also:
  - Constant Field Values

### APPCONTEXT_CHART_PRINT_RESOLUTION

@Deprecated public static final String APPCONTEXT_CHART_PRINT_RESOLUTION
Deprecated.
use APPCONTEXT_CHART_RESOLUTION instead of APPCONTEXT_CHART_PRINT_RESOLUTION

See Also:
  - Constant Field Values

### PROPERTY_EXTENDED_ITEM_MAX_ROW

public static final String PROPERTY_EXTENDED_ITEM_MAX_ROW
This property is a key for putting max row number of extended item in app context or global variables.

See Also:
  - Constant Field Values

### PROPERTY_EXTENDED_ITEM_MAX_VARIABLE_SIZE

public static final String PROPERTY_EXTENDED_ITEM_MAX_VARIABLE_SIZE
This property is a key for putting max variable size of extended item in app context or global variables.

See Also:
  - Constant Field Values

### PROPERTY_FISCAL_YEAR_START_DATE

public static final String PROPERTY_FISCAL_YEAR_START_DATE
This property is a key for putting the start date of fiscal year in app context or global variables. The date format pattern must be yyyy-MM-dd. Default value July 1st of current year will be used if not set.

See Also:
  - Constant Field Values

### PROPERTYSEPARATOR

public static final String PROPERTYSEPARATOR

### WEBAPP_CLASSPATH_KEY

public static final String WEBAPP_CLASSPATH_KEY

See Also:
  - Constant Field Values

### WORKSPACE_CLASSPATH_KEY

public static final String WORKSPACE_CLASSPATH_KEY

See Also:
  - Constant Field Values

### PROJECT_CLASSPATH_KEY

public static final String PROJECT_CLASSPATH_KEY

See Also:
  - Constant Field Values

### USER_ACL_KEY

public static final String USER_ACL_KEY

See Also:
  - Constant Field Values

### APPCONTEXT_URL_PARAM_FORMAT_KEY

public static final String APPCONTEXT_URL_PARAM_FORMAT_KEY
The name of the key set in appContext to specify the "__format" value in user's request parameter.

See Also:
  - Constant Field Values

### REFRESH_DATA

public static final String REFRESH_DATA
this option is used to control refreshing data. If this option is set to True, the original datasource should be ignore. the default value is false;

See Also:
  - Constant Field Values

### APPCONTEXT_MAX_PAGE_BREAK_INTERVAL

public static final String APPCONTEXT_MAX_PAGE_BREAK_INTERVAL
the max page break interval limit. It limits maximum page size to avoid OOM

See Also:
  - Constant Field Values

### APPCONTEXT_ENGINE_TASK

public static final String APPCONTEXT_ENGINE_TASK
The Engine task owning the application context

See Also:
  - Constant Field Values

## Constructor Details

### EngineConstants

public EngineConstants()